Class | Rake::SshDirPublisher
In: | lib/rake/contrib/sshpublisher.rb
Parent: | Object

Publish an entire directory to an existing remote directory using SSH.

### Methods

new upload

### Public Class methods

new(host, remote_dir, local_dir)

[Source]

        # File lib/rake/contrib/sshpublisher.rb, line 10
    10:     def initialize(host, remote_dir, local_dir)
    11:       @host = host
    12:       @remote_dir = remote_dir
    13:       @local_dir = local_dir
    14:     end

### Public Instance methods

upload()

[Source]

        # File lib/rake/contrib/sshpublisher.rb, line 16
    16:     def upload
    17:       sh %{scp -rq #{@local_dir}/* #{@host}:#{@remote_dir}}
    18:     end

[Validate]